package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.RobotOpsSysLog;

/**
 * 运行日志Mapper接口
 * 
 * @author ruoyi
 * @date 2026-05-18
 */
public interface RobotOpsSysLogMapper 
{
    /**
     * 查询运行日志
     * 
     * @param id 运行日志主键
     * @return 运行日志
     */
    public RobotOpsSysLog selectRobotOpsSysLogById(Long id);

    /**
     * 查询运行日志列表
     * 
     * @param robotOpsSysLog 运行日志
     * @return 运行日志集合
     */
    public List<RobotOpsSysLog> selectRobotOpsSysLogList(RobotOpsSysLog robotOpsSysLog);

    /**
     * 新增运行日志
     * 
     * @param robotOpsSysLog 运行日志
     * @return 结果
     */
    public int insertRobotOpsSysLog(RobotOpsSysLog robotOpsSysLog);

    /**
     * 修改运行日志
     * 
     * @param robotOpsSysLog 运行日志
     * @return 结果
     */
    public int updateRobotOpsSysLog(RobotOpsSysLog robotOpsSysLog);

    /**
     * 删除运行日志
     * 
     * @param id 运行日志主键
     * @return 结果
     */
    public int deleteRobotOpsSysLogById(Long id);

    /**
     * 批量删除运行日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRobotOpsSysLogByIds(Long[] ids);
}
